<!-- SurvivalEvent 存续事件 -->
<template>
    <div class="full-page bg" element-loading-text="数据加载中..." element-loading-spinner="el-icon-loading"
        element-loading-background="rgba(255,255,255, 0.5)" v-loading.fullscreen.lock="markLoading">
        <div class="search-container">
            <el-page-header @back="goBack" content="更新记录" >
            </el-page-header>
            <!-- <el-form ref="form" :model="parameter" label-width="auto">
                <el-row :gutter="10">
                    <el-col :span="6">
                        <el-form-item label="事件名称">
                            <el-input v-model="querys[1].value" clearable placeholder="请输入事件名称"></el-input>
                        </el-form-item>
                    </el-col>

                    <el-col :span="2">
                        <el-button icon="el-icon-search" type="primary" class="btn btn-plus" @click="getData(1)">
                            {{ this.$t('common.search') }}
                        </el-button>
                    </el-col>
                </el-row>
            </el-form> -->
        </div>
        <el-row :gutter="10" :class="['main-table-container', 'flex']">
            <el-col :span="24" class="table-container" ref="contentPanel" style="padding: 20px">
                <div class="table-wrapper">
                    <el-table stripe size="mini" height="100%" v-loading="tableLoading" :data="tableData"
                        :style="{ width: '100%' }" ref="table" :default-sort="{ prop: 'status', order: 'ascending' }">
                        <el-table-column type="index" label="序号" align="center">
                        </el-table-column>
                       
                        <el-table-column prop="processType" show-overflow-tooltip label="处置方式" align="center">
                            <template #default="{ row }">
                                {{ getDictName('czfs', row.processType) }}
                            </template>
                        </el-table-column>
                        
                       
                        <el-table-column prop="processResult" show-overflow-tooltip label="处置结果" align="center">
                        </el-table-column>
                        <el-table-column prop="createTime" show-overflow-tooltip label="处置时间"
                            align="center">
                        </el-table-column>
                    </el-table>
                </div>
                <pagination ref="paginationPanel" style="margin-top: 10px" :pageResult="pageResult"
                    @size-change="handleSizeChange" @current-change="handleCurrentChange" />
            </el-col>
        </el-row>
    </div>
</template>
<script>
import pagination from '@/components/pagination'
import { TableMixin } from '@/mixins/tableMixin'
import SurvivalEvent from '@/api/PendingDisposal/SurvivalEvent'
import dictUtils from '@/components/dict/DictSelectUtils.js'
import utils from '@/utils.js'
export default {
    name: 'SurvivalEvent',
    components: {
        pagination,
    },
    mixins: [TableMixin],
    data() {
        return {
            markLoading: false,
            tableData: [
                {
                    pilotProjectName: 1,
                },
            ],
            pageResult: {
                page: 1,
                pageSize: 20,
                total: 0,
            },
            querys: [
                {
                    group: 'main',
                    operation: 'EQUAL',
                    parentGroup: '',
                    property: 'eventId',
                    relation: 'AND',
                    value: '',
                },
                {
                    group: 'main',
                    operation: 'EQUAL',
                    parentGroup: '',
                    property: 'event_name_',
                    relation: 'AND',
                    value: '',
                },
            ],
            reqData: {
                querys: [

                ],
                pageBean: {
                    page: 1,
                    pageSize: 20,
                    showTotal: true,
                },
            },
            tableLoading: false,
            deleteIds: '',
            parameter: {
                size: 20,
                page: 1,
            },
            rejectObj: {
                res: '',
            },
            rejectVisible: false,
        }
    },

    created() {
        this.querys[0].value = this.$route.query.id
        this.getData()
    },
    methods: {
        goBack() {
            this.$router.go(-1)
        },
        selectable(row) {
            if (row.isDele === '1') {
                return false
            } else {
                return true
            }
        },
        //获取数据
        getData(page) {
            if (page) {
                this.reqData.pageBean.page = page
            }
            this.tableLoading = true
            this.reqData.querys = []
            if (this.querys[0].value) {
                this.reqData.querys.push(this.querys[0])
            }
            if (this.querys[1].value) {
                this.reqData.querys.push(this.querys[1])
            }
            SurvivalEvent.recordQuery(this.reqData, (res) => {
                this.pageResult.total = res.total
                this.tableLoading = false
                this.tableData = res.rows
            })
        },
        handleSizeChange(val) {
            this.reqData.pageBean.pageSize = val
            this.getData()
        },
        handleCurrentChange(val) {
            this.reqData.pageBean.page = val
            this.getData()
        },
    },
}
</script>

<style lang="scss" scoped>
@import '~@/assets/css/element-variables.scss';
@import '~@/assets/css/common.scss';

.table-wrapper {
    height: calc(100% - 40px);
}

.btn-wrapper {
    width: 100%;
    text-align: right;
}

.column-inner-btn {
    margin: 0 5px;
}

/deep/ .el-page-header__title {
    margin: auto;
}
/deep/ .el-page-header__content{
    margin: auto;
}
</style>